; ############################
; #     SCOOPEX INTRO FRED   #
; #    --------------------  #
; # - scroll parallax        #
; # - scrolltxt param        #
; ############################
; for Metal&Lace Hidden Part

	OPT c-,ow-,o+

;=====================================================================
EXECBASE=4
OPENLIBRARY=-408
CLOSELIBRARY=-414
SUPERSTATE=-150
USERSTATE=-156	
FORBID=-132
PERMIT=-138
ADDINTSERVER=-168
REMINTSERVER=-174
Open=-30
Close=-36
Read=-42
;=====================================================================
BLTCON0=$DFF040		
BLTCON1=$DFF042
BLTAFWM=$DFF044
BLTALWM=$DFF046
BLTCPTH=$DFF048
BLTCPTL=$DFF04A
BLTBPTH=$DFF04C
BLTBPTL=$DFF04E
BLTAPTH=$DFF050
BLTAPTL=$DFF052
BLTDPTH=$DFF054
BLTDPTL=$DFF056
BLTSIZE=$DFF058
BLTCMOD=$DFF060
BLTBMOD=$DFF062
BLTAMOD=$DFF064
BLTDMOD=$DFF066
BLTCDAT=$DFF070
BLTBDAT=$DFF072
BLTADAT=$DFF074
DMACONR=$DFF002

speed=3
ZIC=1	; 0=no zic    1=zic
DOS=1	; 0=no dos	  1=dos
;==================================
	section	un,code
	
START:    
	movem.l	d0-d7/a0-a6,-(sp)

	ifne	DOS
	movea.l	4.w,a6
	JSR 	FORBID(a6)    	
	JSR 	OPENLIB(pc)		; save old coplist system
	endc
;
	bsr	makescreen
		
	move.l	#logo,d0
	lea	CLplanlog,a3
	move.w	#4,d1
	move.l	#40*62,d2
	jsr	place_plans(pc)

	move.l	#ecran1,d0
	lea	CLplan1,a3
	move.w	#0,d1
	move.l	#0,d2
	jsr	place_plans(pc)
	
	move.l	#ecran3,d0
	lea	CLplan3,a3
	jsr	place_plans(pc)
	
	move.l	#ecran5,d0
	lea	CLplan5,a3
	jsr	place_plans(pc)

	move.l	#ecran2,d0
	lea	CLplan2,a3
	jsr	place_plans(pc)

	move.l	#ecran4,d0
	lea	CLplan4,a3
	jsr	place_plans(pc)
	
	move.l	#ecran6,d0
	lea	CLplan6,a3
	jsr	place_plans(pc)
;	
	move.l	#ecran1r,d0
	lea	CLplan1r,a3
	jsr	place_plans(pc)
	
	move.l	#ecran3r,d0
	lea	CLplan3r,a3
	jsr	place_plans(pc)
	
	move.l	#ecran5r,d0
	lea	CLplan5r,a3
	jsr	place_plans(pc)

	move.l	#ecran2r,d0
	lea	CLplan2r,a3
	jsr	place_plans(pc)

	move.l	#ecran4r,d0
	lea	CLplan4r,a3
	jsr	place_plans(pc)
	
	move.l	#ecran6r,d0
	lea	CLplan6r,a3
	jsr	place_plans(pc)
	
	move.l	#scroll,d0
	lea	CLplansc,a3
	move.w	#2,d1
	move.l	#46,d2
	jsr	place_plans(pc)
	
	move.l	#fscroll,d0
	lea	CLplanscr,a3
	move.w	#2,d1
	move.l	#46,d2
	jsr	place_plans(pc)
;==========================================	
	bsr	makelist

	move.l	#text,ptext

	ifne	ZIC
 	bsr	mt_init
 	endc

	bsr 	SETCOPPER		; save system.intsalle new

mouse	cmpi.b	#$e0,$dff006
	bne.s	mouse
	btst	#6,$bfe001		; Mickey ???
	Bne.S	mouse			; no!
;==========================================	
END: 					
	ifne	ZIC
	bsr 	mt_end		; stop music
	endc

	bsr 	clrcopper        	; old  sys	

	ifne	DOS
	movea.L	4.w,a6	
	JSR 	PERMIT(a6)      	; multitask on	
	endc
		                      
	movem.l	(sp)+,d0-d7/a0-a6
	moveq	#0,d0
	rts
; THE END	
;=================================================
interrupt:				; VBL n2
	movem.l	a0-a6/d0-d7,-(sp)

	move.w	$dff01c,d0
	btst	#$e,d0		; autorized interruption ?
	beq	pasInt		; no ! 
	and.w	$dff01e,d0
	btst	#$5,d0		; what interruption ?
	beq	pasInt		; not level 3 bit 5 !
				; ok !
	ifne	ZIC
	bsr	mt_music
	endc

	bsr	scrolling
	bsr	parallax

	move.w	#$0020,$dff09c	; ok ! interrupt finished
pasInt	movem.l	(sp)+,a0-a6/d0-d7
	rte
;======================================================================================
	ifne	DOS
OPENLIB:  			
	movea.l 4.w,a6      	
	lea 	gfxname(pc),a1	
	moveq 	#0,d0		
	jsr 	openlibrary(a6)	
	tst.l 	d0		
	beq.s 	error			; ne devrait pas arriver		
	move.l	d0,a1       	
	move.l 	38(a1),oldcopper	; adresse listcopper system	
				
	jsr 	closelibrary(a6)	
	rts
	
ERROR:			;SI ERREUR
	moveq	#0,d0	;SORTIE
	rts
	endc

SETCOPPER:		
	ifne	DOS
	move.l	$6c.w,int3
	move.w	$dff01c,intena
	or.w	#$8000,intena
	move.w	$dff01e,intreq
	or.w	#$8000,intreq
	endc
	move.w	#$7fff,$dff09a
	move.w	#$7fff,$dff09c
	move.l	#interrupt,$6c.w	; installe new system
	move.w	#$c020,$dff09a		; interruption VBL enable
	move.w	#$0080,$dff096		; dma copper OFF
	move.l 	#newcopper,$dff080
	clr.w	$dff088		
	move.w 	#$83c0,$dff096		; dma blit|cop|bpl|spr	
	rts		

CLRCOPPER:	
	move.w	#$7fff,$dff09a	; restore old system
	move.w	#$7fff,$dff09c
	ifne	DOS
	move.l	int3,$6c.w
	move.w	intena,$dff09a
	move.w	intreq,$dff09c	
	move.w	#$0080,$dff096
	move.l 	oldcopper(pc),$dff080
	clr.w	$dff088
	move.w 	#$80a0,$dff096	; DMA copper|sprite ON
	elseif
	move.w	#$1a0,$dff096
	endc
	rts

int3	dc.l	0
intena	dc.w	0
intreq	dc.w	0
;=====================================================================================
place_plans:	
	move.w 	d0,6(a3)
	swap 	d0			
	move.w 	d0,2(a3)
	swap	d0
	cmpi.w	#0,d1
	beq.s	.fin
	add.l	d2,d0
	addq.l	#8,a3
	subq.w	#1,d1
	bra.s	place_plans	
.fin	RTS
;===============================================
makescreen:
	lea	source,a0
	lea	ecran,a1
	move.w	#5,d0		; 6 plans
all	movea.l	a1,a2
	add.l	#32*46,a2
	move.w	#25,d2		; 26 lignes/plan	
plan	movea.l	a0,a3
	move.w	#22,d1		; taille d'1 plan
line	move.w	(a3)+,(a2)+	; copy 1 ligne du plan
	dbf	d1,line
	lea	80(a0),a0
	dbf	d2,plan
	add.l	#58*46,a1
	dbf	d0,all
	move.l	#$00000018,listplan1
	move.l	#$00000018,listplan2
	move.l	#$00000018,listplan3
	move.l	#$00000018,listplan4
	move.l	#$00000018,listplan5
	move.l	#$00000018,listplan6
	move.w	#$0203,dec
	rts
;===============================================
makelist
	lea	listwait,a0
	move	#$fc0f,d0
	move	#2,d1
.loop	move.w	d0,(a0)+
	move.w	#$fffe,(a0)+
	
	MOVE.W 	#6,NBRCOL
	move.l	#listcol+2,collogo
	BSR	TUNEDOWN
	lea	listcol(pc),a1
	move	#13,d2
.loop2	move.w	(a1)+,(a0)+
	dbf	d2,.loop2
	addi.w	#$100,d0
	dbf	d1,.loop
	
make2	lea	listwait2,a0
	move	#$010f,d0
	move	#9,d1
.loop	move.w	d0,(a0)+
	move.w	#$fffe,(a0)+
	MOVE.W 	#6,NBRCOL
	move.l	#listcol+2,collogo
	BSR	TUNEDOWN
	lea	listcol,a1
	move	#13,d2
.loop2	move.w	(a1)+,(a0)+
	dbf	d2,.loop2
	addi.w	#$100,d0
	dbf	d1,.loop
	rts
;================================================= Fade In/Out routines
TUNEDOWN:	
	movem.l	d0-d2/a0/a1,-(sp)
	moveq	#1,d5

updown:
	move.l	collogo,a0
	move.w	nbrcol,d7
docols:
	moveq	#2,d6
	moveq	#$f,d3
	move.w	d5,d4
dodis:
	move.w	(a0),d0
	and.w	d3,d0
	cmp.w	d4,d0
	bcs.s	skip1
	sub.w	d4,(a0)
	bra.s	skip2
skip1:
	not.w	d3
	and.w	d3,(a0)
	not.w	d3
skip2:
	asl.w	#4,d4
	asl.w	#4,d3
	dbf	d6,dodis
	addq.l	#4,a0
	dbf	d7,docols
RET2:	movem.l	(sp)+,d0-d2/a0/a1
	RTS

;====================
wait_blitter:			
	btst 	#14,dmaconr		
	bne.s 	wait_blitter
	rts
;=================== blitter parallax
parallax	
	lea	listplan1(pc),a0
	lea	tabplan(pc),a1
	lea	dest1,a3
	bsr	aff
	lea	listplan1(pc),a2
	lea	dest1,a0
	lea	dest1-2,a1
	bsr	scrolplan
	
	lea	listplan2(pc),a0
	lea	tabplan2(pc),a1
	lea	dest2,a3
	bsr	aff
	lea	listplan2(pc),a2
	lea	dest2,a0
	lea	dest2-2,a1
	bsr	scrolplan
	
	lea	listplan3(pc),a0
	lea	tabplan3(pc),a1
	lea	dest3,a3
	bsr	aff
	lea	listplan3(pc),a2
	lea	dest3,a0
	lea	dest3-2,a1
	bsr	scrolplan
	
	lea	listplan4(pc),a0
	lea	tabplan4(pc),a1
	lea	dest4,a3
	bsr	aff
	lea	listplan4(pc),a2
	lea	dest4,a0
	lea	dest4-2,a1
	bsr	scrolplan	
	
	sub.b	#1,dec
	bne.s	pasbis5
	move.b	#2,dec
	lea	listplan5(pc),a0
	lea	tabplan5(pc),a1
	lea	dest5,a3
	bsr	aff
	lea	listplan5(pc),a2
	lea	dest5,a0
	lea	dest5-2,a1
	bsr	scrolplan
pasbis5	sub.b	#1,dec2
	bne.s	pasbis6
	move.b	#3,dec2
	lea	listplan6(pc),a0
	lea	tabplan6(pc),a1
	lea	dest6,a3
	bsr	aff
	lea	listplan6(pc),a2
	lea	dest6,a0
	lea	dest6-2,a1
	bsr	scrolplan	
pasbis6	rts

aff:	move.w	4(a0),d4
	ADD.W 	#1,0(a0)
	move.w	(a0),d5
	CMP.W 	d5,d4
	BNE.s 	pasfini

	MOVE.W 	#0,0(a0)
	move.w	2(a0),d1
	MULU 	#4,D1
	MOVE.l 	(A1,D1),a2
	ADD.L 	#44,A3

	bsr 	wait_blitter
	move.l 	a2,bltapth
	move.l 	a3,bltdpth

	move.l 	#$004e002c,bltamod		
	move.l 	#$09f00000,bltcon0	
	move.w 	#(26*64)+1,bltsize
	
	add.w 	#1,2(a0)
	cmp.w	#39,2(a0)
	bne.s 	pasfini
	move.w 	#0,2(a0)	
pasfini:	
	rts
;==========================================
scrolplan:
	bsr 	wait_blitter	 			
	move.l 	a0,bltapth
	move.l 	a1,bltdpth		
	move.l 	#0,bltamod
	move.l 	#$ffffffff,bltafwm

	move.w 	#$09f0,d5
	add.w	6(a2),d5
	move.w	d5,bltcon0
	move.w	#0,bltcon1
	move.w 	#(26*64)+23,bltsize
	rts
;============================================
SCROLLING:		
	sub.w 	#1,cptscroll	
	cmp.w 	#0,cptscroll	
	bne.s 	pas_de_scroll
	move.w 	#1,cptscroll
	bsr 	search_char
	bsr 	scrolltext		
pas_de_scroll:
	rts
;===================	
SCROLLTEXT:			
	lea 	scroll,a0 		
	lea 	scroll-2,a1			
	bsr 	wait_blitter	 	
		
	move.l 	a0,bltapth		
	move.l 	a1,bltdpth		
	move.l 	#0,bltamod
	move.l 	#$ffffffff,bltafwm

	move.w 	#$09f0,d5		
	add.w 	vitesse2,d5		;ajoute valeur decalage ($c = $f - $4 = 16 - 4 = 12)
	move.w 	d5,bltcon0 	   	;4 pixels de decalage vers la gauche
					;$9 -> pour 1 source blitter
					;$f0 -> minterm pour copie directe
	move.w 	#$0000,bltcon1		;$0000 -> mis a 0 car source b initulise	

	move.w 	#(17*64*3)+23,bltsize
	rts
;============
search_char:
	add.w 	#1,compt		
	move.w 	vitesse,d6		
	move.w 	compt,d5
	cmp.w 	d6,d5
	bne 	searchar3		
	
	move.w 	#0,compt			
	move.l 	ptext,a0			
	clr.l 	d0			
	move.b 	(a0),d0		
	lea 	compteur_char(pc),a1		
	clr.l 	d1			
	move.b 	#-1,d1		
searchar1:
	add.b 	#1,d1			
	cmp.b 	(a1)+,d0						
	bne.s 	searchar1
	
	cmp.b 	#'s',d0
	bne.s 	pas_stop
	move.w 	#100,cptscroll
	bra	cont
pas_stop:
	cmp.b 	#'a',d0
	bne.s 	vitessea
	move.w 	#16,vitesse
	move.w 	#$f000,vitesse2
	bra	cont
vitessea:
	cmp.b 	#'b',d0
	bne.s 	vitesseb
	move.w 	#8,vitesse
	move.w 	#$e000,vitesse2
	bra	cont
vitesseb:
	cmp.b 	#'c',d0
	bne.s 	vitessec
	move.w 	#4,vitesse
	move.w 	#$c000,vitesse2
	bra	cont
vitessec:
	cmp.b 	#'d',d0
	bne.s 	cont
	move.w 	#2,vitesse
	move.w 	#$8000,vitesse2
;	bra.s	cont
cont:
	mulu 	#4,d1			
	lea.l 	table_char(pc),a0
	move.l 	(a0,d1),a2
	lea 	scroll,a3
	add.l 	#44,a3

	bsr 	wait_blitter		
	move.l 	a2,bltapth
	move.l 	a3,bltdpth		

	move.l 	#$0026002c,bltamod		
	move.l 	#$09f00000,bltcon0	
	move.w 	#(17*3*64)+1,bltsize
	
	add.l 	#1,ptext
	move.l 	ptext,a0
	tst.b 	(a0)			
	bne.s 	searchar3
	move.l 	#text,ptext		
searchar3:
	rts
;====================
dec	dc.b	2
dec2	dc.b	3
compt: 	dc.w 	0		;compteur 
ptext: 	dc.l 	0		;pointeur de texte
cptscroll: 	dc.w 	1	;compteur pour attente
vitesse:  	dc.w 	4	;compteur pour nouvelle lettre
vitesse2: 	dc.w 	$c000	;decalage
;=================================================================
COMPTEUR_CHAR:
	dc.b	'ABCDEFGHIJKLMNOPQRST'
	dc.b	'UVWXYZ!:",-.()?/+*&'
	dc.b	'0123456789%$ abcds'
	even

TABLE_CHAR: 		;ADRESSES DES LETTRES
	dc.l font1,font1+2,font1+4,font1+6,font1+8
	dc.l font1+10,font1+12,font1+14,font1+16,font1+18,font1+20
	dc.l font1+22,font1+24,font1+26,font1+28
	dc.l font1+30,font1+32,font1+34,font1+36,font1+38
	dc.l font2,font2+2,font2+4,font2+6,font2+8
	dc.l font2+10,font2+12,font2+14,font2+16,font2+18,font2+20
	dc.l font2+22,font2+24,font2+26,font2+28
	dc.l font2+30,font2+32,font2+34,font2+36,font2+38
	dc.l font3,font3+2,font3+4,font3+6,font3+8
	dc.l font3+10,font3+12,font3+14,font3+16,font3+18,font3+20
	dc.l font3+22,font3+24,font3+26,font3+28
	dc.l font3+30,font3+32,font3+34,font3+36,font3+38
	even

Tabplan	dc.l sc1,sc1+2,sc1+4,sc1+6,sc1+8,sc1+10
	dc.l sc1+12,sc1+14,sc1+16,sc1+18,sc1+20
	dc.l sc1+22,sc1+24,sc1+26,sc1+28,sc1+30
	dc.l sc1+32,sc1+34,sc1+36,sc1+38,sc1+40
	dc.l sc1+42,sc1+44,sc1+46,sc1+48,sc1+50
	dc.l sc1+52,sc1+54,sc1+56,sc1+58,sc1+60
	dc.l sc1+62,sc1+64,sc1+66,sc1+68,sc1+70
	dc.l sc1+72,sc1+74,sc1+76,sc1+78
Tabplan2	
	dc.l sc2,sc2+2,sc2+4,sc2+6,sc2+8,sc2+10
	dc.l sc2+12,sc2+14,sc2+16,sc2+18,sc2+20
	dc.l sc2+22,sc2+24,sc2+26,sc2+28,sc2+30
	dc.l sc2+32,sc2+34,sc2+36,sc2+38,sc2+40
	dc.l sc2+42,sc2+44,sc2+46,sc2+48,sc2+50
	dc.l sc2+52,sc2+54,sc2+56,sc2+58,sc2+60
	dc.l sc2+62,sc2+64,sc2+66,sc2+68,sc2+70
	dc.l sc2+72,sc2+74,sc2+76,sc2+78
Tabplan3	
	dc.l sc3,sc3+2,sc3+4,sc3+6,sc3+8,sc3+10
	dc.l sc3+12,sc3+14,sc3+16,sc3+18,sc3+20
	dc.l sc3+22,sc3+24,sc3+26,sc3+28,sc3+30
	dc.l sc3+32,sc3+34,sc3+36,sc3+38,sc3+40
	dc.l sc3+42,sc3+44,sc3+46,sc3+48,sc3+50
	dc.l sc3+52,sc3+54,sc3+56,sc3+58,sc3+60
	dc.l sc3+62,sc3+64,sc3+66,sc3+68,sc3+70
	dc.l sc3+72,sc3+74,sc3+76,sc3+78
Tabplan4	
	dc.l sc4,sc4+2,sc4+4,sc4+6,sc4+8,sc4+10
	dc.l sc4+12,sc4+14,sc4+16,sc4+18,sc4+20
	dc.l sc4+22,sc4+24,sc4+26,sc4+28,sc4+30
	dc.l sc4+32,sc4+34,sc4+36,sc4+38,sc4+40
	dc.l sc4+42,sc4+44,sc4+46,sc4+48,sc4+50
	dc.l sc4+52,sc4+54,sc4+56,sc4+58,sc4+60
	dc.l sc4+62,sc4+64,sc4+66,sc4+68,sc4+70
	dc.l sc4+72,sc4+74,sc4+76,sc4+78
Tabplan5	
	dc.l sc5,sc5+2,sc5+4,sc5+6,sc5+8,sc5+10
	dc.l sc5+12,sc5+14,sc5+16,sc5+18,sc5+20
	dc.l sc5+22,sc5+24,sc5+26,sc5+28,sc5+30
	dc.l sc5+32,sc5+34,sc5+36,sc5+38,sc5+40
	dc.l sc5+42,sc5+44,sc5+46,sc5+48,sc5+50
	dc.l sc5+52,sc5+54,sc5+56,sc5+58,sc5+60
	dc.l sc5+62,sc5+64,sc5+66,sc5+68,sc5+70
	dc.l sc5+72,sc5+74,sc5+76,sc5+78
Tabplan6	
	dc.l sc6,sc6+2,sc6+4,sc6+6,sc6+8,sc6+10
	dc.l sc6+12,sc6+14,sc6+16,sc6+18,sc6+20
	dc.l sc6+22,sc6+24,sc6+26,sc6+28,sc6+30
	dc.l sc6+32,sc6+34,sc6+36,sc6+38,sc6+40
	dc.l sc6+42,sc6+44,sc6+46,sc6+48,sc6+50
	dc.l sc6+52,sc6+54,sc6+56,sc6+58,sc6+60
	dc.l sc6+62,sc6+64,sc6+66,sc6+68,sc6+70
	dc.l sc6+72,sc6+74,sc6+76,sc6+78

listplan1	dc.w	0,24,2,$8000
listplan2	dc.w	0,24,4,$c000
listplan3	dc.w	0,24,8,$e000
listplan4	dc.w	0,24,16,$f000	
listplan5	dc.w	0,24,16,$f000	bis
listplan6	dc.w	0,24,16,$f000	bis
TEXT: 
	dc.b	'c*    ?!? WHAT"S THAT ?!? sb A SCOOPEX INTRO ! HERE !!! c NAAAAA...'
	dc.b	' IS A REMAKE OF A SCOOPEX INTRO.                 d WHY !?       s            c "CAUSE I"M VERY BORED '
	dc.b	'TO WORK ON THIS SLIDE SINCE AUGUST 1993 AND ALSO B-COZ IS A PIECE OF CAKE TO MAKE IT !                    b    '
	dc.b	'NOW GO GET A HAMMER AND SMASH YOUR LEFT MOUSE BUTTON TO CONTINUE...'
	dc.b	'OR LOOK AT THE CREDITS WITH US...          d'
	dc.b	'  ***   CCRREEDDIITTS  ***             CODING BY      s       '
	dc.b	'      % VARSO %     s                  MUSIC BY      s        '
	dc.b	'      $ SCAT $      s            GRAPHICS & DEZIGN BY s              '
	dc.b	'       VARSO      s                   FONT BY      s        '
	dc.b	'    LASER DANCE   s              '        
	dc.b	'c     *** A VARSO PRODUCTION FOR APOCALYPSE BAY INC. 1994 *** '
	dc.b	' NOW YOU CAN QUIT THIS INTRO OR RESTART TEXT...     d 9  8  7  6'
	dc.b	'   5   4   3   2   1   0                        '          
	dc.b 	0
fin:
	EVEN

	ifne	ZIC
	include	"playerpt3.s"
	endc
;=======================================================
	ifne	DOS
gfxname: 	dc.b 	'graphics.library',0 	
	even			
oldcopper: dc.l 0
	endc
;================================== Fade In/Out Datas
collogo:	dc.l 0		;pointeur sur liste copper
nbrcol:	dc.w 6		;nombre de couleurs -1
;==================================
downflag:	dc.w	0	;flag down
;==================================
listcol	dc.w	$0182,$0FFF
	dc.w	$0184,$0ECF
	dc.w	$0186,$0D9F
	dc.w	$0188,$0B6D
	dc.w	$018A,$094C
	dc.w	$018C,$082A
	dc.w	$018E,$0706		
	even
;============================================================= DATAS CHIP
	section	copper,data_c	
NEWCOPPER:   
	DC.W 	$008E,$3881,$0090,$0fc1
	DC.W 	$0092,$0038,$0094,$00D0
	DC.W 	$102,0,$104,0
	
	DC.W	$120,0,$122,0,$124,0,$126,0,$128,0,$12a,0
	dc.w	$12c,0,$12e,0,$130,0,$132,0,$134,0,$136,0
	dc.w	$138,0,$13a,0,$13c,0,$13e,0

	dc.w 	$10a,0,$108,0

	dc.w	$0180,$0000,$0182,$0324,$0184,$0536,$0186,$0658
	dc.w	$0188,$0879,$018A,$0A9B,$018C,$0DCD,$018E,$0FFF
	dc.w	$0190,$00B6,$0192,$00DD,$0194,$00AF,$0196,$007C
	dc.w	$0198,$000F,$019A,$070F,$019C,$0C0E,$019E,$0C08
	dc.w	$01A0,$0620,$01A2,$0E52,$01A4,$0A52,$01A6,$0FCA
	dc.w	$01A8,$0333,$01AA,$0444,$01AC,$0555,$01AE,$0666
	dc.w	$01B0,$0777,$01B2,$0888,$01B4,$0999,$01B6,$0AAA
	dc.w	$01B8,$0CCC,$01BA,$0DDD,$01BC,$0EEE,$01BE,$0FFF
	
CLplanlog	
	dc.w 	$00e0,0,$00e2,0
	dc.w	$00e4,0,$00e6,0
	dc.w	$00e8,0,$00ea,0
	dc.w	$00ec,0,$00ee,0
	dc.w	$00f0,0,$00f2,0
	
	dc.w	$100,$5200

	dc.w	$650f,$fffe,$180,$001		; degrad
	dc.w	$6a0f,$fffe,$180,$002
	dc.w	$6f0f,$fffe,$180,$003
	dc.w	$740f,$fffe,$180,$004
; fin logo	- ecran overscan pour scroll parallaxe
	dc.w	$760f,$fffe,$100,0
	dc.w	$770f,$fffe,$0090,$28d1
	DC.W 	$0092,$0030
	DC.W 	$0094,$00D8

	dc.w 	$10a,6-4,$108,6-4
	dc.w	$790f,$fffe,$180,5		; col 6 bpls
	dc.w	$182,$999,$184,$888,$186,$999,$188,$777
	dc.w	$18a,$999,$18c,$888,$18e,$999
	dc.w	$192,$666,$194,$555,$196,$666,$198,$444
	dc.w	$19a,$666,$19c,$555,$19e,$666
	dc.w	$7a0f,$fffe
CLplan1	DC.W 	$00e0,0,$00e2,0		; impaire 1
CLplan2	dc.w	$00e4,0,$00e6,0		; paire 1
CLplan3	dc.w	$00e8,0,$00ea,0		; impaire 2
CLplan4	dc.w	$00ec,0,$00ee,0		; paire 2
CLplan5	dc.w	$00f0,0,$00f2,0		; impaire 3
CLplan6	dc.w	$00f4,0,$00f6,0		; paire 3
; debut ecran +1 = met resolution on

	DC.W 	$7b0f,$fffe,$100,$6600 
	dc.w	$7e0f,$fffe,$180,$006		;degrad
	dc.w	$830f,$fffe,$180,$007
	dc.w	$880f,$fffe,$180,$008
	dc.w	$8d0f,$fffe,$180,$009
	dc.w	$920f,$fffe,$180,$00a
	dc.w	$970f,$fffe,$180,$00b
	dc.w	$9c0f,$fffe,$180,$00c
	dc.w	$a10f,$fffe,$180,$00d
	dc.w	$a60f,$fffe,$180,$00e
	dc.w	$ab0f,$fffe,$180,$00f
	dc.w	$b00f,$fffe,$180,$999,$100,0		;redline off
	dc.w	$182,$666,$184,$555,$186,$666,$188,$444
	dc.w	$18a,$666,$18c,$555,$18e,$666
	dc.w	$192,$333,$194,$222,$196,$333,$198,$111
	dc.w	$19a,$333,$19c,$222,$19e,$333
	dc.w 	$10a,-46-40-46-4,$108,-46-40-46-4
	dc.w	$b10f,$fffe
CLplan1r	dc.w 	$00e0,0,$00e2,0
CLplan2r	dc.w	$00e4,0,$00e6,0
CLplan3r	dc.w	$00e8,0,$00ea,0
CLplan4r	dc.w	$00ec,0,$00ee,0
CLplan5r	dc.w	$00f0,0,$00f2,0
CLplan6r	dc.w	$00f4,0,$00f6,0
	dc.w	$b20f,$fffe,$180,$888
	dc.w	$b30f,$fffe,$180,$777
	dc.w	$b40f,$fffe,$180,$666
	dc.w	$b50f,$fffe,$100,$6600
	dc.w	$bb0f,$fffe,$180,$a
	dc.w	$c00f,$fffe,$180,9
	dc.w	$c50f,$fffe,$180,8
	dc.w	$ca0f,$fffe,$180,7
	dc.w	$cf0f,$fffe,$180,6
	dc.w	$100,0	;
	dc.w	$d40f,$fffe,$180,5
	dc.w	$d90f,$fffe,$180,4
	dc.w	$de0f,$fffe,$180,3
	dc.w	$e30f,$fffe,$180,2
	dc.w	$e80f,$fffe,$180,1
; scroll texte parametrable laser dance
	dc.w 	$10a,(46-40)+46*2-4,$108,(46-40)+46*2-4
	dc.w	$0182,$0FFF
	dc.w	$0184,$0ECF
	dc.w	$0186,$0D9F
	dc.w	$0188,$0B6D
	dc.w	$018A,$094C
	dc.w	$018C,$082A
	dc.w	$018E,$0706		
	dc.w	$e90f,$fffe
CLplansc	
	dc.w 	$00e0,0,$00e2,0
	dc.w	$00e4,0,$00e6,0
	dc.w	$00e8,0,$00ea,0
	dc.w	$ea0f,$fffe,$100,$3200
	dc.w	$ed0f,$fffe,$180,0
	dc.w	$fb0f,$fffe
	dc.w 	$10a,-46-40-46*2-4,$108,-46-40-46*2-4
CLplanscr	
	dc.w 	$00e0,0,$00e2,0
	dc.w	$00e4,0,$00e6,0
	dc.w	$00e8,0,$00ea,0
listwait	ds.w	3*16
	dc.w	$ffdf,$fffe
listwait2	ds.w	10*16
	dc.w	$0c0f,$fffe,$100,0
	dc.l 	$fffffffe 				;fin liste copper

;====================================================== DATAS CHIP
	ifne	ZIC
module
mt_data	incbin	"mod.aderlanternen"
	endc

scroll	ds.b	46*17*3
fscroll=scroll+46*16*3

font	incbin	"laserdance_font.rwb"
font1=font		;adresses des lettres par lignes
font2=font+3*17*40
font3=font+6*17*40

logo	incbin	"anthroxlogo2.rw"

source	incbin	"sourcemountains.rw"
sc1=source
sc2=source+80*26
sc3=source+80*26*2
sc4=source+80*26*3
sc5=source+80*26*4
sc6=source+80*26*5

	section	screen,bss_c
ecran	ds.b	46*58*6
	ds.b	46*17
dest1=ecran+46*32
dest2=ecran+46*58+46*32
dest3=ecran+46*58*2+46*32
dest4=ecran+46*58*3+46*32
dest5=ecran+46*58*4+46*32
dest6=ecran+46*58*5+46*32

ecran1=ecran			;impaire
ecran3=ecran+46*58+46*3
ecran5=ecran+46*58*2+46*6

ecran2=ecran+46*58*3+46*10		;paire
ecran4=ecran+46*58*4+46*13
ecran6=ecran+46*58*5+46*16

ecran1r=ecran+46*58
ecran3r=ecran+46*58*2+46*3
ecran5r=ecran+46*58*3+46*6

ecran2r=ecran+46*58*4+46*10
ecran4r=ecran+46*58*5+46*13
ecran6r=ecran+46*58*6+46*16
FINDEMO:	END

