; ############################
; #     SCOOPEX INTRO FRED   #
; ############################
; re-coded scoopex fred intro by VrS!
; remake of original module by Estrayk
; scrolltext parametrable


	OPT c-,ow-,o+

;=====================================================================
EXECBASE=4
OPENLIBRARY=-408
CLOSELIBRARY=-414
SUPERSTATE=-150
USERSTATE=-156	
FORBID=-132
PERMIT=-138
Disable=-$78
Enable=-$7e
ADDINTSERVER=-168
REMINTSERVER=-174
Open=-30
Close=-36
Read=-42
;=====================================================================
BLTCON0=$DFF040		
BLTCON1=$DFF042
BLTAFWM=$DFF044
BLTALWM=$DFF046
BLTCPTH=$DFF048
BLTCPTL=$DFF04A
BLTBPTH=$DFF04C
BLTBPTL=$DFF04E
BLTAPTH=$DFF050
BLTAPTL=$DFF052
BLTDPTH=$DFF054
BLTDPTL=$DFF056
BLTSIZE=$DFF058
BLTCMOD=$DFF060
BLTBMOD=$DFF062
BLTAMOD=$DFF064
BLTDMOD=$DFF066
BLTCDAT=$DFF070
BLTBDAT=$DFF072
BLTADAT=$DFF074
DMACONR=$DFF002
;----------------------- parametres modifiables
ZIC=1	; 0=no zic	1=zic
DOS=1	; 0=no dos	1=dos
SM=1	; 0=player protracker . 1=player SidMon1

X=384
W=48	; 384/8
H=26
HScroll=17	; 22
;==================================
	section	scoopex,code
	
START:    
	movem.l	d0-d7/a0-a6,-(sp)

	ifne	DOS
	movea.l	4.w,A6
	JSR 	FORBID(A6)    	
	JSR 	OPENLIB(pc)		; save old coplist system
	endc
;
	bsr	makescreen
		
	move.l	#logo,d0
	lea	CLplanlog,a3
	move.w	#4,d1
	move.l	#W*74,d2		; 48x74
	jsr	place_plans(pc)

	moveq	#0,d1
	moveq	#0,d2
	move.l	#ecran1,d0
	lea	CLplan1,a3
	jsr	place_plans(pc)
	
	move.l	#ecran3,d0
	lea	CLplan3,a3
	jsr	place_plans(pc)
	
	move.l	#ecran5,d0
	lea	CLplan5,a3
	jsr	place_plans(pc)

	move.l	#ecran2,d0
	lea	CLplan2,a3
	jsr	place_plans(pc)

	move.l	#ecran4,d0
	lea	CLplan4,a3
	jsr	place_plans(pc)
	
	move.l	#ecran6,d0
	lea	CLplan6,a3
	jsr	place_plans(pc)
;	
	move.l	#scroll,d0
	lea	CLplansc,a3
	move.w	#2,d1
	move.l	#W,d2
	jsr	place_plans(pc)
;==========================================	
	bsr	makelist
	move.l	#text,ptext

	ifeq	SM
	 lea	mt_data,a0
 	 bsr	InitZic
	elseif
	 jsr	mod		; initmuzak
	 bset	#1,$bfe001
	endc

	bsr 	SETCOPPER		; save system.intsalle new

mouse	btst	#6,$bfe001		; Mickey ???
	Bne.S	mouse		; no!
;==========================================	
END: 	
	ifeq	SM
	 bsr 	StopZic		; stop music
	elseif
	 jsr	mod+$120	; stopmuzak
	 move.w	#$f,$dff096
	endc

	bsr	clrcopper        	; old  sys	

	ifne	DOS
	movea.L	4.w,A6	
	JSR 	PERMIT(A6)      	; multitask on	
	endc
		                      
	movem.l (sp)+,d0-d7/a0-a6
	moveq	#0,d0
	rts
; THE END	
;=================================================
interrupt:				; VBL n2
	movem.l	a0-a6/d0-d7,-(sp)

	andi.w	#$20,$dff01e
	beq.s	pasInt

	 bsr	scrolling
	 bsr	parallax

	ifne	ZIC
	ifeq	SM
	 bsr.w	PlayZic
	elseif
	 jsr	mod+$13e		; playmuzak
	endc
	endc

	move.w	#$0020,$dff09c	; ok ! interrupt finished
pasInt	movem.l	(sp)+,a0-a6/d0-d7
	rte
vflag	dc.w	0
;======================================================================================
	ifne	DOS
OPENLIB:  			
	movea.l 4.w,a6      	
	lea 	gfxname(pc),a1	
	moveq 	#0,d0		
	jsr 	openlibrary(a6)	
	tst.l 	d0		
	beq.s 	error		; ne devrait pas arriver		
	move.l	d0,a1       	
	move.l 	38(a1),oldcopper	; adresse listcopper system	
				
	jsr 	closelibrary(a6)	
	rts
	
ERROR:			;SI ERREUR
	moveq	#0,d0	;SORTIE
	rts
	endc
SETCOPPER:		
	ifne	DOS
	move.l	$6c.w,int3
	move.w	$dff01c,sintena
	or.w	#$8000,sintena
	move.w	$dff01e,intreq
	or.w	#$8000,intreq
	endc
	movea.l	4.w,a6
	jsr	Disable(a6)
	move.w	#$7fff,$dff09a
	move.w	#$7fff,$dff09c
	move.l	#interrupt,$6c.w	; installe new system
	move.w	#$c020,$dff09a	; interruption VBL enable
	move.w	#$0080,$dff096	; dma copper OFF
	move.l 	#newcopper,$dff080
	move.w	#0,$dff088		
	move.w 	#$83c0,$dff096	; dma blit|cop|bpl|spr	
	rts		

CLRCOPPER:	
	move.w	#$7fff,$dff09a	; restore old system
	move.w	#$7fff,$dff09c
	ifne	DOS
	move.l	int3(pc),$6c.w
	move.w	sintena(pc),$dff09a
	move.w	intreq(pc),$dff09c	
	move.w	#$0080,$dff096
	move.l 	oldcopper(pc),$dff080
	move.w	#0,$dff088		;MET CONTENU DANS A0
	move.w 	#$80a0,$dff096	; DMA copper|sprite ON
	elseif
	move.w	#$1a0,$dff096
	endc
	movea.l	4.w,a6
	jsr	Enable(a6)
	rts

int3	dc.l	0
sintena	dc.w	0
intreq	dc.w	0
;=====================================================================================
place_plans:			; 1ere demo	
	move.w 	d0,6(a3)
	swap 	d0			
	move.w 	d0,2(a3)
	swap	d0
	cmpi.w	#0,d1
	beq.s	.fin
	add.l	d2,d0
	addq.l	#8,a3
	subq.w	#1,d1
	bra.s	place_plans	
.fin	RTS
;===============================================
makescreen:
	lea	source,a0
	lea	ecran,a1
	move.w	#5,d0		; 6 plans
all	movea.l	a1,a2
	add.l	#32*W,a2
	move.w	#25,d2		; 26 lignes/plan	
plan	movea.l	a0,a3
	move.w	#W/2-1,d1	;	taille d'1 plan
line	move.w	(a3)+,(a2)+	;	copy 1 ligne du plan
	dbf	d1,line
	lea	80(a0),a0
	dbf	d2,plan
	add.l	#58*W,a1
	dbf	d0,all
	move.l	#24,listplan1
	move.l	#24,listplan2
	move.l	#24,listplan3
	move.l	#24,listplan4
	move.l	#24,listplan5
	move.l	#24,listplan6
	move.w	#$0203,dec
	rts
;===============================================
makelist
	lea	listwait,a0
	move	#$ea09,d0	; e6
	move	#11,d1		; 13 lines
.loop	move.w	d0,(a0)+
	move.w	#$fffe,(a0)+
	
	MOVE.W 	#6,NBRCOL
	move.l	#listcol+2,collogo
	BSR	TUNEDOWN
	lea	listcol(pc),a1
	move	#13,d2
.loop2	move.w	(a1)+,(a0)+
	dbf	d2,.loop2
	addi.w	#$100,d0
	dbf	d1,.loop
	rts
;================================================= Fade In/Out routines
TUNEDOWN:	
	movem.l	d0-d2/a0/a1,-(sp)
	moveq	#1,d5

updown:
	move.l	collogo,a0
	move.w	nbrcol,d7
docols:
	moveq	#2,d6
	moveq	#$f,d3
	move.w	d5,d4
dodis:
	move.w	(a0),d0
	and.w	d3,d0
	cmp.w	d4,d0
	bcs.s	.skip1
	sub.w	d4,(a0)
	bra.s	.skip2
.skip1:
	not.w	d3
	and.w	d3,(a0)
	not.w	d3
.skip2:
	asl.w	#4,d4
	asl.w	#4,d3
	dbf	d6,dodis
	addq.l	#4,a0
	dbf	d7,docols
RET2:	movem.l	(sp)+,d0-d2/a0/a1
	rts

;====================
wait_blitter:			
	btst 	#6,dmaconr		
	bne.s 	wait_blitter
	rts
;===================
parallax	
	lea	listplan1(pc),a0
	lea	tabplan(pc),a1
	lea	dest1,a3
	bsr	aff
	lea	listplan1(pc),a2
	lea	dest1,a0
	lea	dest1-2,a1
	bsr	scrolplan
	
	lea	listplan2(pc),a0
	lea	tabplan2(pc),a1
	lea	dest2,a3
	bsr	aff
	lea	listplan2(pc),a2
	lea	dest2,a0
	lea	dest2-2,a1
	bsr	scrolplan
	
	lea	listplan3(pc),a0
	lea	tabplan3(pc),a1
	lea	dest3,a3
	bsr	aff
	lea	listplan3(pc),a2
	lea	dest3,a0
	lea	dest3-2,a1
	bsr	scrolplan
	
	lea	listplan4(pc),a0
	lea	tabplan4(pc),a1
	lea	dest4,a3
	bsr	aff
	lea	listplan4(pc),a2
	lea	dest4,a0
	lea	dest4-2,a1
	bsr	scrolplan	
	
	sub.b	#1,dec
	bne.s	pasbis5
	move.b	#2,dec
	lea	listplan5(pc),a0
	lea	tabplan5(pc),a1
	lea	dest5,a3
	bsr	aff
	lea	listplan5(pc),a2
	lea	dest5,a0
	lea	dest5-2,a1
	bsr	scrolplan
pasbis5	sub.b	#1,dec2
	bne.s	pasbis6
	move.b	#3,dec2
	lea	listplan6(pc),a0
	lea	tabplan6(pc),a1
	lea	dest6,a3
	bsr	aff
	lea	listplan6(pc),a2
	lea	dest6,a0
	lea	dest6-2,a1
	bsr	scrolplan	
pasbis6	rts

aff:	move.w	4(a0),d4
	add.w 	#1,0(a0)
	move.w	(a0),d5
	cmp.w 	d5,d4
	bne.s 	pasfini

	move.w 	#0,0(a0)
	move.w	2(a0),d1
	mulu 	#4,d1
	move.l 	(a1,d1),a2
	add.l 	#46,a3		; 44

	bsr 	wait_blitter
	move.l 	a2,bltapth
	move.l 	a3,bltdpth

	move.l 	#$004e002e,bltamod	; 78 - 44	
	move.l 	#$09f00000,bltcon0	
	move.w 	#(26*64)+1,bltsize
	
	add.w 	#1,2(a0)
	cmp.w	#39,2(a0)
	bne.s 	pasfini
	move.w 	#0,2(a0)	
pasfini:	rts
;==========================================
scrolplan:
	bsr 	wait_blitter	 			
	move.l 	a0,bltapth
	move.l 	a1,bltdpth		
	move.l 	#0,bltamod
	move.l 	#$ffffffff,bltafwm

	move.w 	#$09f0,d5
	add.w	6(a2),d5
	move.w	d5,bltcon0
	move.w	#0,bltcon1
	move.w 	#(26*64)+w/2,bltsize
	rts
;============================================
SCROLLING:		
	sub.w 	#1,cptscroll	
	cmp.w 	#0,cptscroll	
	bne.s 	pas_de_scroll
	move.w 	#1,cptscroll
	bsr 	search_char
	bsr 	scrolltext		
pas_de_scroll:
	rts
;===================	
scrolltext:			
	lea 	scroll,a0 		
	lea 	scroll-2,a1			
	bsr 	wait_blitter	 	
		
	move.l 	a0,bltapth		
	move.l 	a1,bltdpth		
	move.l 	#0,bltamod
	move.l 	#$ffffffff,bltafwm

	move.w 	#$09f0,d5		
	add.w 	vitesse2(pc),d5		;ajoute valeur decalage
	move.w 	d5,bltcon0 	   	
	move.w 	#$0000,bltcon1	;$c = $f - $4 = 16 - 4 = 12
				;4 pixels de decalage vers la gauche

				;$9 -> pour 1 source blitter
				;$f0 -> minterm pour copie directe
				;$0000 -> mis a 0 car source b initulise	
	move.w 	#(hscroll*64*3)+w/2,bltsize
	rts
;============
search_char:
	add.w 	#1,compt		
	move.w 	vitesse,d6		
	move.w 	compt,d5
	cmp.w 	d6,d5
	bne 	searchar3		
	
	move.w 	#0,compt			
	move.l 	ptext,a0			
	clr.l 	d0			
	move.b 	(a0),d0		
	lea 	compteur_char(pc),a1		
	clr.l 	d1			
	move.b 	#-1,d1		
searchar1:
	add.b 	#1,d1			
	cmp.b 	(a1)+,d0						
	bne.s 	searchar1
	
	cmp.b 	#'s',d0
	bne.s 	pas_stop
	move.w 	#100,cptscroll
	bra	cont
pas_stop:
	cmp.b 	#'a',d0
	bne.s 	vitessea
	move.w 	#16,vitesse
	move.w 	#$f000,vitesse2
	bra	cont
vitessea:
	cmp.b 	#'b',d0
	bne.s 	vitesseb
	move.w 	#8,vitesse
	move.w 	#$e000,vitesse2
	bra	cont
vitesseb:
	cmp.b 	#'c',d0
	bne.s 	vitessec
	move.w 	#4,vitesse
	move.w 	#$c000,vitesse2
	bra	cont
vitessec:
	cmp.b 	#'d',d0
	bne.s 	cont
	move.w 	#2,vitesse
	move.w 	#$8000,vitesse2
;	bra.s	cont
cont:
	mulu 	#4,d1			
	lea.l 	table_char(pc),a0
	move.l 	(a0,d1),a2
	lea 	scroll,a3
	add.l 	#w-2,a3		; 44 (46-2)

	bsr 	wait_blitter		
	move.l 	a2,bltapth
	move.l 	a3,bltdpth		

	move.l 	#$0026002e,bltamod	; 40-2=38 / 48-2=46	
	move.l 	#$09f00000,bltcon0	
	move.w 	#(17*3*64)+2/2,bltsize	; 
	
	add.l 	#1,ptext
	move.l 	ptext,a0
	tst.b 	(a0)			
	bne.s 	searchar3
	move.l 	#text,ptext		
searchar3:
	rts
* -------------------------------------------------------
dec	dc.b	2
dec2	dc.b	3
COMPT: 	DC.W 	0	;COMPTEUR 
ptext: 	dc.l 	0	;pointeur de texte
cptscroll: 	dc.w 	1	;compteur pour attente
vitesse:  	dc.w 	4		;compteur pour nouvelle lettre
vitesse2: 	dc.w 	$c000		;decalage
;=================================================================
COMPTEUR_CHAR:
	dc.b	'ABCDEFGHIJKLMNOPQRST'
	dc.b	'UVWXYZ!:",-.()?/+*&'
	dc.b	'0123456789%$ abcds'
	EVEN

TABLE_CHAR: 		;ADRESSES DES LETTRES
	dc.l font1,font1+2,font1+4,font1+6,font1+8
	dc.l font1+10,font1+12,font1+14,font1+16,font1+18,font1+20
	dc.l font1+22,font1+24,font1+26,font1+28
	dc.l font1+30,font1+32,font1+34,font1+36,font1+38
	dc.l font2,font2+2,font2+4,font2+6,font2+8
	dc.l font2+10,font2+12,font2+14,font2+16,font2+18,font2+20
	dc.l font2+22,font2+24,font2+26,font2+28
	dc.l font2+30,font2+32,font2+34,font2+36,font2+38
	dc.l font3,font3+2,font3+4,font3+6,font3+8
	dc.l font3+10,font3+12,font3+14,font3+16,font3+18,font3+20
	dc.l font3+22,font3+24,font3+26,font3+28
	dc.l font3+30,font3+32,font3+34,font3+36,font3+38
	even
TEXT: 
	dc.b	'c*    ?!? WHAT"S THAT ?!? sb A SCOOPEX INTRO ! HERE !!! c NAAAAA...'
	dc.b	' IS A REMAKE OF A SCOOPEX INTRO.                 d WHY !?       s            c "CAUSE I"M VERY BORED '
	dc.b	'TO WORK ON THIS SLIDE SINCE AUGUST 1993 AND ALSO B-COZ IS A PIECE OF CAKE TO MAKE IT !                    b    '
	dc.b	'NOW GO GET A HAMMER AND SMASH YOUR LEFT MOUSE BUTTON TO CONTINUE...'
	dc.b	'OR LOOK AT THE CREDITS WITH US...          d'
	dc.b	'  ***   CCRREEDDIITTS  ***             CODING BY      s       '
	dc.b	'      % VARSO %     s                  MUSIC BY      s        '
	dc.b	'      $ SCAT $      s            GRAPHICS & DEZIGN BY s              '
	dc.b	'       VARSO      s                   FONT BY      s        '
	dc.b	'    LASER DANCE   s              '        
	dc.b	'c     *** A VARSO PRODUCTION FOR APOCALYPSE BAY INC. 1994 *** '
	dc.b	' NOW YOU CAN QUIT THIS INTRO OR RESTART TEXT...     d 9  8  7  6'
	dc.b	'   5   4   3   2   1   0                        '          
	dc.b 	0
fin:
	EVEN
* ---------------------------------------------------
Tabplan	dc.l sc1,sc1+2,sc1+4,sc1+6,sc1+8,sc1+10
	dc.l sc1+12,sc1+14,sc1+16,sc1+18,sc1+20
	dc.l sc1+22,sc1+24,sc1+26,sc1+28,sc1+30
	dc.l sc1+32,sc1+34,sc1+36,sc1+38,sc1+40
	dc.l sc1+42,sc1+44,sc1+46,sc1+48,sc1+50
	dc.l sc1+52,sc1+54,sc1+56,sc1+58,sc1+60
	dc.l sc1+62,sc1+64,sc1+66,sc1+68,sc1+70
	dc.l sc1+72,sc1+74,sc1+76,sc1+78
Tabplan2	
	dc.l sc2,sc2+2,sc2+4,sc2+6,sc2+8,sc2+10
	dc.l sc2+12,sc2+14,sc2+16,sc2+18,sc2+20
	dc.l sc2+22,sc2+24,sc2+26,sc2+28,sc2+30
	dc.l sc2+32,sc2+34,sc2+36,sc2+38,sc2+40
	dc.l sc2+42,sc2+44,sc2+46,sc2+48,sc2+50
	dc.l sc2+52,sc2+54,sc2+56,sc2+58,sc2+60
	dc.l sc2+62,sc2+64,sc2+66,sc2+68,sc2+70
	dc.l sc2+72,sc2+74,sc2+76,sc2+78
Tabplan3	
	dc.l sc3,sc3+2,sc3+4,sc3+6,sc3+8,sc3+10
	dc.l sc3+12,sc3+14,sc3+16,sc3+18,sc3+20
	dc.l sc3+22,sc3+24,sc3+26,sc3+28,sc3+30
	dc.l sc3+32,sc3+34,sc3+36,sc3+38,sc3+40
	dc.l sc3+42,sc3+44,sc3+46,sc3+48,sc3+50
	dc.l sc3+52,sc3+54,sc3+56,sc3+58,sc3+60
	dc.l sc3+62,sc3+64,sc3+66,sc3+68,sc3+70
	dc.l sc3+72,sc3+74,sc3+76,sc3+78
Tabplan4	
	dc.l sc4,sc4+2,sc4+4,sc4+6,sc4+8,sc4+10
	dc.l sc4+12,sc4+14,sc4+16,sc4+18,sc4+20
	dc.l sc4+22,sc4+24,sc4+26,sc4+28,sc4+30
	dc.l sc4+32,sc4+34,sc4+36,sc4+38,sc4+40
	dc.l sc4+42,sc4+44,sc4+46,sc4+48,sc4+50
	dc.l sc4+52,sc4+54,sc4+56,sc4+58,sc4+60
	dc.l sc4+62,sc4+64,sc4+66,sc4+68,sc4+70
	dc.l sc4+72,sc4+74,sc4+76,sc4+78
Tabplan5	
	dc.l sc5,sc5+2,sc5+4,sc5+6,sc5+8,sc5+10
	dc.l sc5+12,sc5+14,sc5+16,sc5+18,sc5+20
	dc.l sc5+22,sc5+24,sc5+26,sc5+28,sc5+30
	dc.l sc5+32,sc5+34,sc5+36,sc5+38,sc5+40
	dc.l sc5+42,sc5+44,sc5+46,sc5+48,sc5+50
	dc.l sc5+52,sc5+54,sc5+56,sc5+58,sc5+60
	dc.l sc5+62,sc5+64,sc5+66,sc5+68,sc5+70
	dc.l sc5+72,sc5+74,sc5+76,sc5+78
Tabplan6	
	dc.l sc6,sc6+2,sc6+4,sc6+6,sc6+8,sc6+10
	dc.l sc6+12,sc6+14,sc6+16,sc6+18,sc6+20
	dc.l sc6+22,sc6+24,sc6+26,sc6+28,sc6+30
	dc.l sc6+32,sc6+34,sc6+36,sc6+38,sc6+40
	dc.l sc6+42,sc6+44,sc6+46,sc6+48,sc6+50
	dc.l sc6+52,sc6+54,sc6+56,sc6+58,sc6+60
	dc.l sc6+62,sc6+64,sc6+66,sc6+68,sc6+70
	dc.l sc6+72,sc6+74,sc6+76,sc6+78
listplan1	dc.w	0,24,2,$8000
listplan2	dc.w	0,24,4,$c000
listplan3	dc.w	0,24,8,$e000
listplan4	dc.w	0,24,16,$f000	
listplan5	dc.w	0,24,16,$f000	bis
listplan6	dc.w	0,24,16,$f000	bis

	ifeq	SM
	 include	"playerpt3.s"
	endc
;=======================================================
	ifne	DOS
gfxname: 	dc.b 	'graphics.library',0 	
	even			
oldcopper: dc.l 0
	endc
;================================== Fade In/Out Datas
collogo:	dc.l 0		;pointeur sur liste copper
nbrcol:		dc.w 6		;nombre de couleurs -1
;==================================
downflag:	dc.w	0	;flag down
;==================================
listcol	dc.w	$0182,$0FFF
	dc.w	$0184,$0ECF
	dc.w	$0186,$0D9F
	dc.w	$0188,$0B6D
	dc.w	$018A,$094C
	dc.w	$018C,$082A
	dc.w	$018E,$0706		
	even
;============================================================= DATAS CHIP
	section	copper,data_c	
NEWCOPPER:   
	DC.W 	$008E,$1a6B,$0090,$ffDB
	DC.W 	$0092,$0028,$0094,$00D8
	DC.W 	$102,0,$104,0
	
	DC.W	$120,0,$122,0,$124,0,$126,0,$128,0,$12a,0
	dc.w	$12c,0,$12e,0,$130,0,$132,0,$134,0,$136,0
	dc.w	$138,0,$13a,0,$13c,0,$13e,0

	dc.w 	$10a,W-46,$108,W-46	; logo width W = 48 / W-46 = 2

	dc.w	$0180,$0000,$0182,$0FBE,$0184,$0F8E,$0186,$0F5D
	dc.w	$0188,$0E0B,$018A,$0B08,$018C,$0807,$018E,$0504
	dc.w	$0190,$0303,$0192,$0FDD,$0194,$0FBB,$0196,$0F88
	dc.w	$0198,$0F00,$019A,$0B00,$019C,$0800,$019E,$0500
	dc.w	$01A0,$0300,$01A2,$0FFF,$01A4,$0BCF,$01A6,$077F
	dc.w	$01A8,$052F,$01AA,$020A,$01AC,$0106,$01AE,$0004
	dc.w	$01B0,$0CFE,$01B2,$09FD,$01B4,$00FB,$01B6,$00DA
	dc.w	$01B8,$00A8,$01BA,$0087,$01BC,$0055,$01BE,$0033	
CLplanlog	
	dc.w 	$00E0,0,$00E2,0
	dc.w	$00E4,0,$00E6,0
	dc.w	$00e8,0,$00ea,0
	dc.w	$00ec,0,$00ee,0
	dc.w	$00f0,0,$00f2,0
; start logo	------------------------------
	dc.w	$3809,$fffe,$100,$5200		; 40

	dc.w	$6c09,$fffe,$180,$001		degrad
	dc.w	$7109,$fffe,$180,$002
	dc.w	$7609,$fffe,$180,$003
	dc.w	$7b09,$fffe,$180,$004
; fin logo	-------------------------------
	dc.w	$7c09,$fffe,$100,0		; 84

	dc.w	$7f09,$fffe,$180,$005
	dc.w	$8309,$fffe,$180,$006
; parallax mountains --------------------------
	dc.w 	$10a,W-46,$108,W-46
	dc.w	$182,$999,$184,$888,$186,$999,$188,$777,$18a,$999
	dc.w	$18c,$888,$18e,$999,$192,$666,$194,$555,$196,$666
	dc.w	$198,$444,$19a,$666,$19c,$555,$19e,$666
CLplan1	DC.W 	$00E0,0,$00E2,0	impaire 1
CLplan2	dc.w	$00E4,0,$00E6,0	 paire 1
CLplan3	dc.w	$00e8,0,$00ea,0	impaire 2
CLplan4	dc.w	$00ec,0,$00ee,0	 paire 2
CLplan5	dc.w	$00f0,0,$00f2,0	impaire 3
CLplan6	dc.w	$00f4,0,$00f6,0	 paire 3

	dc.w	$8709,$fffe,$180,$007
; start parallax
	dc.w	$8809,$fffe,$100,$6600	; 90	
	dc.w	$8a09,$fffe,$180,$008
	dc.w	$8d09,$fffe,$180,$009
	dc.w	$9009,$fffe,$180,$00a
	dc.w	$9209,$fffe,$180,$00b
	dc.w	$9409,$fffe,$180,$00c
	dc.w	$9509,$fffe,$180,$00d
	dc.w	$9609,$fffe,$180,$00e
	dc.w	$9709,$fffe,$180,$00f
	dc.w	$9809,$fffe,$180,$01f
	dc.w	$9909,$fffe,$180,$02f
	dc.w	$9a09,$fffe,$180,$03f
	dc.w	$9b09,$fffe,$180,$04f
	dc.w	$9c09,$fffe,$180,$05f
	dc.w	$9d09,$fffe,$180,$06f
	dc.w	$9e09,$fffe,$180,$07f
	dc.w	$9f09,$fffe,$180,$08f
	dc.w	$a009,$fffe,$180,$09f
	dc.w	$a109,$fffe,$180,$0af
	dc.w	$a209,$fffe,$180,$0bf
	dc.w	$a309,$fffe,$180,$0cf
	dc.w	$a409,$fffe,$180,$0df
	dc.w	$a509,$fffe,$180,$0ef
	dc.w	$a609,$fffe,$180,$0ff
; inverse parallax
	dc.w	$bb09,$fffe,$182,$888			; bb
	dc.w	$bc09,$fffe,$182,$777			; bc
	dc.w	$bd09,$fffe,$10a,-W-46-W,$108,-W-46-W	; bd (dec 8)
	dc.w	$182,$666,$184,$555,$186,$666,$188,$444,$18a,$666
	dc.w	$18c,$555,$18e,$666,$192,$333,$194,$222,$196,$333
	dc.w	$198,$111,$19a,$333,$19c,$222,$19e,$333,$180,$099

	dc.w	$c909,$fffe,$180,$088
	dc.w	$cb09,$fffe,$180,$078
	dc.w	$cd09,$fffe,$180,$068
	dc.w	$cf09,$fffe,$180,$058
	dc.w	$d109,$fffe,$180,$048
; end parallax
	dc.w	$d309,$fffe,$180,$038,$100,0
; scroll texte parametrable ---------------------------
	dc.w 	$10a,(W-46)+W*2,$108,(W-46)+W*2
	dc.w	$0182,$0FFF
	dc.w	$0184,$0ECF
	dc.w	$0186,$0D9F
	dc.w	$0188,$0B6D
	dc.w	$018A,$094C
	dc.w	$018C,$082A
	dc.w	$018E,$0706
CLplansc	
	dc.w 	$00E0,0,$00E2,0
	dc.w	$00E4,0,$00E6,0
	dc.w	$00e8,0,$00ea,0
	dc.w	$d40f,$fffe,$100,$3200	; d4
	dc.w	$d509,$fffe,$180,$028
	dc.w	$d709,$fffe,$180,$018
	dc.w	$d909,$fffe,$180,$008
	dc.w	$db09,$fffe,$180,$007
	dc.w	$dd09,$fffe,$180,$006
	dc.w	$df09,$fffe,$180,$005
	dc.w	$e209,$fffe,$180,$004
	dc.w	$e309,$fffe,$180,$003
	dc.w	$e409,$fffe,$180,$002		; e4
	dc.w	$10a,-W-46-W*2,$108,-W-46-W*2
	dc.w	$e909,$fffe,$180,$001		; e5
listwait	ds.w	12*16			; 13 lines
	dc.w	$100,0,$180,0	; f7
	DC.L 	$FFFFFFFE 				;FIN LISTE COPPER
;====================================================== DATAS CHIP
	ifeq	SM
mt_data	incbin	"mod.scoopex"
	elseif
mod	incbin	"SID1.SCOOPEX-2"
	endc

font	incbin	"laserdance_font.rwb"
font1=font		;adresses des lettres par lignes
font2=font+3*17*40
font3=font+6*17*40
logo	incbin	"scoopexlogo.rw"
source	incbin	"sourcemountains.rw"
sc1=source
sc2=source+80*H
sc3=source+80*H*2
sc4=source+80*H*3
sc5=source+80*H*4
sc6=source+80*H*5
* --------------------------------

	section	screen,bss_c
	ds.b	W
scroll	ds.b	W*HScroll*3
* ---------------------------------
ecran	ds.b	W*58*6		; W*58*6
	ds.b	W*17
dest1=ecran+W*32
dest2=ecran+W*58+W*32
dest3=ecran+W*58*2+W*32
dest4=ecran+W*58*3+W*32
dest5=ecran+W*58*4+W*32
dest6=ecran+W*58*5+W*32

ecran1=ecran			;impaire
ecran3=ecran+W*58+W*3
ecran5=ecran+W*58*2+W*6

ecran2=ecran+W*58*3+W*10	;paire
ecran4=ecran+W*58*4+W*13
ecran6=ecran+W*58*5+W*16

FINDEMO:	END

